package main

import (
	"github.com/gin-gonic/gin"
)

func main() {
	r := gin.Default()
	r.POST("/test", func(c *gin.Context) {
		var req struct {
			Test []string `json:"test"`
		}
		if err := c.ShouldBindJSON(&req); err != nil {
			c.JSON(200, gin.H{
				"msg": "参数错误",
			})
			return
		}
		c.JSON(200, gin.H{
			"msg": req.Test,
		})
	})
	r.Run(":9999")

}
